support --set,--merge of #commented name=value
with operation controlled with
  --with-comment=always
     To add new item under comment even if same value as comment
  --with-comment[=ifchanged]
     To add new item under comment only if different.
     Would support --list also to add to default list.
  --new-comment
     To add an (additional) comment line for item no matter where,
     or if, it's added. Ensure above any #commented name=value though.

support multiple files passed to --merge

possibly support --format=sh|json with --merge

possibly support multiple duplicate names per section
to support MultiStrOpt in openstack config files file example.
This could be interfaced using the --list=multiname option.
Also have --list autodetect multiline lists as used by yum like:
  name = val1, val2
         val3
I.E. split on a combo of [\n,]

possibly support --lower to output normalised case for
--get and --sort

support python3

Have a look at cliff output formatters? csv and shell at least:
http://blog.oddbit.com/2013/11/22/a-unified-cli-for-op

--format=json to output json format.
Note ini format supports name:value so quite a lot of overlap

have pip install put man page in place

Support spacing options for new items. I.E. allow to
set=like_this rather than just set = like_this.
This would have significance for shell like config formats
when adding new parmeters. Maybe have --format=sh control this.
